﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

using Java.Util;
using Com.Syncfusion.Schedule;
using Com.Syncfusion.Schedule.Enums;


namespace SampleTask
{
    [Activity(Label = "SampleTask", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
       
        ScheduleAppointment selectedAppointment;
        string subject, location;
       
        protected override void OnCreate(Bundle bundle)
        {
             
            base.OnCreate(bundle);
            SfSchedule newSchedule = new SfSchedule(this);
            LinearLayout lay = new LinearLayout(this);
            lay.Orientation = Orientation.Vertical;

            newSchedule.ScheduleTapped += newSchedule_ScheduleTapped;
 
            this.SetContentView(newSchedule);


        }

        void newSchedule_ScheduleTapped(object sender, SfSchedule.ScheduleTappedEventArgs e)
        {
            var dateTime = e.P1.ToString(); // DateTime

            if (e.P2 != null) // ScheduleAppointmentCollection
            {
                selectedAppointment = (ScheduleAppointment)e.P3; // Schedule Appointment
                subject = selectedAppointment.Subject.ToString();
                location = selectedAppointment.Location;
                var selectedAppointmentStartTime = selectedAppointment.StartTime;
                var selectedAppointmentEndTime = selectedAppointment.EndTime;
            }
         
        }





    }
}


